com.sun.grid.jgdi.configuration

## Class MailReceiverImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.MailReceiverImpl

- All Implemented Interfaces:
    GEObject, MailReceiver, java.io.Serializable, java.lang.Cloneable

      public class MailReceiverImpl
      extends GEObjectImpl
      implements MailReceiver

  Java representation of the cull object MR_Type defined in sge_all_listsL.template

  Warning: The MailReceiverImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailReceiverImpl()` Create a new instance of MailReceiverImpl.
    `MailReceiverImpl(boolean initWithDefaultValues)` Create a new instanceof
    `MailReceiverImpl(java.lang.String user)` Create a new instance of MailReceiverImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getHost()` Get the value of the host attribute.
    `java.lang.String` | `getUser()` Get the value of the user attribute.
    `boolean` | `isSetHost()` Determine if the host attribute is set
    `boolean` | `isSetUser()` Determine if the user attribute is set
    `void` | `setHost(java.lang.String aHost)` Set the host attribute.
    `void` | `setUser(java.lang.String aUser)` Set the user attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### MailReceiverImpl

          public MailReceiverImpl()

      Create a new instance of MailReceiverImpl. The new instance will not be initialized with the default values.

    - #### MailReceiverImpl

          public MailReceiverImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### MailReceiverImpl

          public MailReceiverImpl(java.lang.String user)

      Create a new instance of MailReceiverImpl

  - ### Method Detail

    - #### isSetUser

          public boolean isSetUser()

      Determine if the user attribute is set
      Specified by:
        `isSetUser` in interface `MailReceiver`
      Returns:
        `true` if the user attribute is set

    - #### setUser

          public void setUser(java.lang.String aUser)

      Set the user attribute.
      Specified by:
        `setUser` in interface `MailReceiver`
      Parameters:
        `aUser` - the new value for the user attribute

    - #### getUser

          public java.lang.String getUser()

      Get the value of the user attribute.
      Specified by:
        `getUser` in interface `MailReceiver`
      Returns:
        the value of the user attribute

    - #### isSetHost

          public boolean isSetHost()

      Determine if the host attribute is set
      Specified by:
        `isSetHost` in interface `MailReceiver`
      Returns:
        `true` if the host attribute is set

    - #### setHost

          public void setHost(java.lang.String aHost)

      Set the host attribute.
      Specified by:
        `setHost` in interface `MailReceiver`
      Parameters:
        `aHost` - the new value for the host attribute

    - #### getHost

          public java.lang.String getHost()

      Get the value of the host attribute.
      Specified by:
        `getHost` in interface `MailReceiver`
      Returns:
        the value of the host attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `MailReceiver`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.